List RF users
curl --request POST \
--url 'https://clarus-api.com/graphql#ListRfUsers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListRfUsers"
payload = { "query": "query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListRfUsers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"rf_users": {
"all": {
"edges": [
{
"node": {
"id": "55",
"name": "Warehouse Scanner 3",
"username": "rf_scanner_03",
"user": {
"id": "210"
},
"warehouse": {
"id": "2",
"code": "MAIN"
},
"default_rf_implementation": {
"id": "4"
}
}
}
]
}
}
}
}{
"error": "<string>"
}HHD Users
List RF users
Retrieve RF (handheld device) users using GraphQL. RF users are dedicated warehouse device operators. Supports filtering, sorting, and pagination via relay-style connections.
POST
/
graphql#ListRfUsers
List RF users
curl --request POST \
--url 'https://clarus-api.com/graphql#ListRfUsers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListRfUsers"
payload = { "query": "query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListRfUsers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"rf_users": {
"all": {
"edges": [
{
"node": {
"id": "55",
"name": "Warehouse Scanner 3",
"username": "rf_scanner_03",
"user": {
"id": "210"
},
"warehouse": {
"id": "2",
"code": "MAIN"
},
"default_rf_implementation": {
"id": "4"
}
}
}
]
}
}
}
}{
"error": "<string>"
}Query Structure
query($filter: RfUserFilterType) {
rf_users {
all(filter: $filter) {
edges {
node {
id
name
username
user { id }
warehouse { id code }
default_rf_implementation { id }
}
}
}
}
}
Filter Argument
All filters are passed inside thefilter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
"filter": {
"user_id": {
"eq": "value"
}
}
}
Available Filters
| Filter | Input Type | Operators | Description |
|---|---|---|---|
user_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Linked user ID |
username | StringInputType | eq, ilike, like, in, between | RF login username |
user_name | StringInputType | eq, ilike, like, in, between | Display name |
warehouse_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Warehouse ID |
warehouse_code | StringInputType | eq, ilike, like, in, between | Warehouse code |
default_rf_implementation_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Default RF implementation ID |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
GraphQL query string
Example:
"query($filter: RfUserFilterType) { rf_users { all(filter: $filter) { edges { node { id name username user { id } warehouse { id code } default_rf_implementation { id } } } } } }"
Query variables including the filter object
Show child attributes
Show child attributes
Example:
{ "filter": { "username": { "ilike": "scanner" } } }

